import 'package:sis_flutter/data/session/session_storage.dart';
import 'package:sis_flutter/models/usuario_model.dart';

Future<Usuario> getUsuarioFromSessionStorage() async {
  final session = SessionStorage();
  final id = await session.getId();
  final email = await session.getCorreo();
  final name = await session.getNombre();
  final empresa = await session.getEmpresa();

  return Usuario(
    id: id!,
    email: email,
    name: name,
    empresa: empresa,
  );
}
